import React from 'react';
import ExhibitionPiece from './ExhibitionPiece';
import FavoriteButton from './FavoriteButton';
import DropDown from './DropDown';
import NavButton from './NavButton';
import '../Style/ArtPage.css';


type props = {
  pageId: number; // The id of the page
  changePage: (arg0: boolean) => void; // A function that takes a bool and returns void
}

class ArtPage extends React.Component<props> {

  constructor(props: props) {
    super(props);
  }

  render() {
    return (
      <div className={'artpage'}>
        <FavoriteButton/>
        <DropDown/>
        <ExhibitionPiece artId={this.props.pageId}/>
        <div className={'navbutton left'}>
          <NavButton changePage={this.props.changePage} direction={"left"}/>
        </div>
        <div className={'navbutton right'}>
          <NavButton changePage={this.props.changePage} direction={"right"}/>
        </div>
      </div>
    );
  }
}

export default ArtPage;